List Locations
curl --request GET \
--url https://api.crosoftware.com/v0/locations \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.crosoftware.com/v0/locations"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.crosoftware.com/v0/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_limit": 123,
"current_page": 123,
"results": [
{
"address": {
"id": 123,
"latitude": "<string>",
"line_1": "<string>",
"locality": "<string>",
"longitude": "<string>",
"region": "<string>",
"line_2": "<string>",
"line_3": "<string>",
"line_4": "<string>",
"postcode": "<string>"
},
"allow_new_asset_numbers": true,
"asset_number_required": true,
"auto_billing_setup": true,
"auto_complete_dumps": true,
"auto_rollover_enabled": true,
"bar_code_type": "<string>",
"billing_accounts_global": true,
"contact": {
"email": "jsmith@example.com",
"id": 123,
"name": "<string>",
"number": "<string>"
},
"delivery_hidden": true,
"delivery_name": "<string>",
"distance_factor": "<string>",
"distance_label": "<string>",
"do_share_drivers": true,
"driver_self_assignment": true,
"dropoff_hidden": true,
"dropoff_name": "<string>",
"dtt_enabled": true,
"exchange_hidden": true,
"exchange_name": "<string>",
"id": 123,
"is_active": true,
"leed_enabled": true,
"main_inventory_name": "<string>",
"name": "<string>",
"notify_on_acknowledged_job": true,
"notify_on_completed_job": true,
"notify_on_dispatched_job": true,
"notify_on_failed_job": true,
"pickup_hidden": true,
"pickup_name": "<string>",
"require_reason_fail_delay": true,
"require_reference_number": true,
"require_signature": true,
"service_disclaimer": "<string>",
"service_hidden": true,
"service_name": "<string>",
"timezone": "<string>",
"use_additional_items": true
}
],
"total_count": 123,
"total_pages": 123
}Locations
List Locations
List locations.
GET
/
locations
List Locations
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version identifier (date format).
Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.
Query Parameters
Paged results page index (starting from 1).
Maximun number of results per page.
Response
200 - application/json
Success
Location data list results (paged).
⌘I